import dataDictionary from './dataDictionary';

let utils = {
  /**
   * 参数处理
   */
  tansParams: (params: any) => {
    let result = '';
    for (const propName of Object.keys(params)) {
      const value = params[propName];
      const part = encodeURIComponent(propName) + '=';
      if (value !== null && value !== '' && typeof value !== 'undefined') {
        if (typeof value === 'object') {
          for (const key of Object.keys(value)) {
            if (value[key] !== null && value[key] !== '' && typeof value[key] !== 'undefined') {
              const params = propName + '[' + key + ']';
              const subPart = encodeURIComponent(params) + '=';
              result += subPart + encodeURIComponent(value[key]) + '&';
            }
          }
        } else {
          result += part + encodeURIComponent(value) + '&';
        }
      }
    }
    return result;
  },

  /**
   * 参数处理
   */
  getProject: (data: any, type: number) => {
    //格式化数据
    let list = [];
    for (let key in data) {
      let arrList = key.split('@@');
      let newArr = arrList[0].split('_');
      newArr.push(data[key]);
      list.push(newArr);
    }
    //重组数组
    let newList = [];
    let project: any = dataDictionary.project;
    for (let key in project) {
      let area: any = [];
      list.forEach((item) => {
        if (key == item[0]) {
          area.push({
            key: item[1],
            name: item[1],
            value: item[2]
          });
        }
      });
      let obj: any = {
        key: key,
        name: project[key],
        area: area
      };
      newList.push(obj);
    }
    return newList;
  },

  /**
   * 时间格式
   */
  timeFormat: (val: number) => {
    let h = parseInt(((val / 60 / 60) % 24).toString());
    let m = parseInt(((val / 60) % 60).toString());
    let s = parseInt((val % 60).toString());
    if (h > 0) {
      m = h * 60 + m;
    }
    return `${m}:${s}`;
  }
};
export default utils;
